Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Static Public Member Functions | Public Attributes | Static Protected Member Functions | Static Protected Attributes | List of all members
ezpRestContentRenderer Class Reference

## Static Public Member Functions
static | getRenderer ( $renderer, ezpContent $content, ezpRestMvcController $controller)

## Public Attributes
const | DEFAULT_RENDERER = 'xhtml'

## Static Protected Member Functions
static | createRenderer ( $renderer, ezpContent $content, ezpRestMvcController $controller)

## Static Protected Attributes
static | $renderer = null

## Detailed Description

Definition at line 12 of file content_renderer.php.

## Member Function Documentation

## ◆ createRenderer()

static ezpRestContentRenderer::createRenderer | ( |  | $renderer,
|  | ezpContent | $content,
|  | ezpRestMvcController | $controller
| ) |  |
| static protected

Returns ezpRestContentProviderInterface object for requested renderer

Parameters

  string | $renderer |
  ezpContent | $content |

Returns
  ezpRestContentProviderInterface

Definition at line 28 of file content_renderer.php.

References $content, $renderer, and eZExtension\getHandlerClass().

Referenced by getRenderer().

## ◆ getRenderer()

static ezpRestContentRenderer::getRenderer | ( |  | $renderer,
|  | ezpContent | $content,
|  | ezpRestMvcController | $controller
| ) |  |
| static

Returns ezpRestContentProviderInterface object for given renderer and content

Parameters

  string | $renderer |
  ezpContent | $content |

Returns
  bool|ezpRestContentProviderInterface

Definition at line 53 of file content_renderer.php.

References $content, $renderer, $renderer, createRenderer(), and DEFAULT_RENDERER.

## Member Data Documentation

## ◆ $renderer

ezpRestContentRenderer::$renderer = null
| static protected

Definition at line 17 of file content_renderer.php.

Referenced by createRenderer(), and getRenderer().

## ◆ DEFAULT_RENDERER

const ezpRestContentRenderer::DEFAULT_RENDERER = 'xhtml'

Definition at line 19 of file content_renderer.php.

Referenced by getRenderer().

The documentation for this class was generated from the following file:

- content_renderer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.